%global packname  bigmemory

Name:             R-%{packname}
Version:          4.2.11
Release:          5%{?dist}
Summary:          Manage massive matrices in R using C++, with support for shared memory

Group:            Applications/Productivity
License:          LGPLv3+
URL:              http://cran.r-project.org/web/packages/bigmemory/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

Requires:         R-core, texlive-latex
BuildRequires:    R-devel >= 2.5.0, R-biglm, R-nws
BuildRequires:    R-methods, R-utils
BuildRequires:    boost-devel
# Hangs trying to check the examples in the test suite, not endian clean?
# https://bugzilla.redhat.com/show_bug.cgi?id=471422
ExcludeArch:      ppc ppc64 s390 s390x

%description
Create, store, access, and manipulate massive matrices. Matrices are allocated 
to shared memory and may use memory-mapped files. Packages biganalytics, 
bigtabulate, synchronicity, and bigalgebra provide advanced functionality.

%package devel
Summary:	Development headers for R-bigmemory
Requires:	%{name}%{?_isa} = %{version}-%{release}
Group:		Development/Libraries

%description devel
Development headers for R-bigmemory.

%prep
%setup -c -q -n %{packname}

# Use system boost headers
rm -rf bigmemory/inst/include/boost

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/LICENSE
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/doc/
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs/

%files devel
%{_libdir}/R/library/%{packname}/include/

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.11-3
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> - 4.2.11-1
- update to 4.2.11

* Tue Jun 28 2011 Tom Callaway <spot@fedoraproject.org> - 4.2.3-1
- update to 4.2.3

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 21 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 3.12-1
- update to 3.12

* Tue Aug 11 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 3.10-1
- update to 3.10

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 16 2009 Karsten Hopp <karsten@redhat.com> 2.3-4.1
- excludearch s390*, hangs similar to ppc

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-3
- hangs trying to check examples on ppc/ppc64 (excludearch)

* Fri Nov 7 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-2
- Drop useless macros

* Fri Nov 7 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.3-1
- update to 2.3

* Tue Jul 8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.1-1
- initial package for Fedora
